<?php

namespace  Api\PhpServices\Wechat;

use Api\PhpUtils\Common\TimeOut;
use Api\PhpUtils\Http\Request;
use  Api\PhpUtils\Http\HttpUtil;
use App\Exception\custom\CodeSpecialException;

class Msg
{
    /**
     * 发送微信模版消息
     *
     * @param $mobile 手机号
     * @param $template  短信模版
     * @param $param = [] 数组，多个参数传值
     */
    public static function send($app_id, $secret, $template_id, $user_id, $type, $param = [])
    {
        $url = config('interface', 'interaction.index.wechat');
        if (!$url) {
            throw new CodeSpecialException("failed");
        }
        $params = [
            'app_id' => $app_id,
            'secret'  => $secret,
            'user_id' => $user_id,
            'template_id'  => $template_id,
            'type' => $type,
            'params' => $param
        ];

        $sms  = (new TimeOut())->runGet($url, $params);
        if (!$sms) {
            throw new CodeSpecialException("timeout");
        }
        if (!empty($sms) && $sms['code'] == 0) {
            return true;
        } else {
            return false;
        }
    }
}
